Payments & FinanceSellers
List seller roles
Lists the roles a seller member can hold.
GET
/v1/sellers/{sellerId}/rolesLists the roles a seller member can hold.
Authorization
bearerAuth AuthorizationBearer <token>
OAuth2 access token issued by Ecomiq Auth.
In: header
Path Parameters
sellerId*string
Identifier of the seller.
Header Parameters
x-Store-Id?string
Store the request acts on. Not needed when the token is bound to a store.
Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X GET "https://example.com/v1/sellers/7204558912004325301/roles" \ -H "x-Store-Id: <store-id>" \ -H "Authorization: Bearer <token>"[ { "id": "7204558912004325301", "code": "example_code", "name": "Example resource", "description": "Example description.", "scope": "store", "isSystem": false, "isDefault": false, "membersCount": 1, "status": "active", "createdOn": "2026-08-01T15:30:00Z" }]